#model:Class.py
"""
module
---------------------------------------------------

description

"""

from dataModel import *
from mod_program import *
#=====================================================================

class Transport_Link(Relation):

#=====================================================================

    #-----------------------------------------------------------------
    def onSetup(self):
        pass

    #-----------------------------------------------------------------
    def onCleanup(self):
        pass
    #-----------------------------------------------------------------
    def gather(self):
        pass

    #-----------------------------------------------------------------
    def emit(self):
        pass
    #-----------------------------------------------------------------


#=====================================================================

class Transport_Node(Object):

#=====================================================================

    #-----------------------------------------------------------------
    def onSetup(self):
        pass

    #-----------------------------------------------------------------
    def onCleanup(self):
        pass
    #-----------------------------------------------------------------
    def gather(self):
        pass

    #-----------------------------------------------------------------
    def emit(self):
        pass
    #-----------------------------------------------------------------


#=====================================================================
